com.oracle.truffle.api.frame

## Enum FrameInstance.FrameAccess

- java.lang.Object
- - java.lang.Enum<FrameInstance.FrameAccess>
  - - com.oracle.truffle.api.frame.FrameInstance.FrameAccess

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FrameInstance.FrameAccess>

Enclosing interface:
  FrameInstance

    public static enum FrameInstance.FrameAccess
    extends java.lang.Enum<FrameInstance.FrameAccess>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MATERIALIZE`
`NONE`
`READ_ONLY`
`READ_WRITE`

### Method Summary

Methods
`static FrameInstance.FrameAccess` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FrameInstance.FrameAccess[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final FrameInstance.FrameAccess NONE

#### READ_ONLY

    public static final FrameInstance.FrameAccess READ_ONLY

#### READ_WRITE

    public static final FrameInstance.FrameAccess READ_WRITE

#### MATERIALIZE

    public static final FrameInstance.FrameAccess MATERIALIZE

### Method Detail

#### values

    public static FrameInstance.FrameAccess[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FrameInstance.FrameAccess c : FrameInstance.FrameAccess.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FrameInstance.FrameAccess valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null